#include <bits/stdc++.h>
#include<ctime>
using namespace std;

int main(void){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);
    int x1, x2;
    cin >> x1 >> x2;
    int y1,y2;
    cin >> y1 >> y2;
    if(x1==y1 || x2==y2)
        cout << 2;
    else if(abs(x1-x2)==abs(y1-y2))
        cout << 1;
    else
        cout << 0;
    return 0;
}